<?
require_once 'core/system.php';
echo only_reg();
$header = 'Стенка на стенку';
require_once 'core/head.php';
$id = abs(intval($_GET[id]));

$k = mysql_fetch_assoc(mysql_query("SELECT * FROM `boy_game` WHERE `id` = '$id'"));

/// Проверяем чтобы не мутили
$countu = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `end` = '0'"));
$cug = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `user` = '$user[id]'"));
if(empty($k[id])){
header("Location: /boylist.php");
exit;}
// Если юзера еще нет в комнате
if($cug < 1){
if($k[type] == 'start'){
mysql_query("INSERT INTO `boy_users` SET `user` = '$user[id]', `game` = '$id'");
$text = 'В игру вступил <b>'.$user[nick].'</b>!';
mysql_query("INSERT INTO `boy_list` SET `game` = '$k[id]', `text` = '$text'");
}else{
/// Если игра уже началась то кидаем в список комнат
header("Location: /boylist.php");
exit;
}}

$l = mysql_query("SELECT * FROM `boy_list` WHERE `game` = '$k[id]' ORDER BY `id` DESC LIMIT 5");
while($a = mysql_fetch_assoc($l)){
echo "<div class='block_zero'>
- $a[text]<br/>
</div>";
}

switch($k['type']){
case 'start':
//Собственно сколько осталось до начала игры (Не стал на минуты бить)
$tim = $k['time']-time();
echo "<meta http-equiv='Refresh' content='3' />
<script type='text/javascript'>
function timer(){
var obj=document.getElementById('timer_inp');
obj.innerHTML--;  
if(obj.innerHTML==0){
location.href = '?id=$k[id]';
setTimeout(function(){},1000);
obj.innerHTML='Игра началась, если вы не перенаправились, обновите страницу.'
}
else{
setTimeout(timer,1000);
}
}
setTimeout(timer,1000);
</script>
До начала игры осталось: <span id='timer_inp'>$tim</span> сек.";
/// Проверяем пора ли начинать игру и достаточно ли человек в игре (минимум 2)
if($k[time] < time()){
if($countu < 2){
mysql_query("DELETE FROM `boy_users` WHERE `game` = '$k[id]'");
mysql_query("DELETE FROM `boy_list` WHERE `game` = '$k[id]'");
mysql_query("DELETE FROM `boy_game` WHERE `id` = '$k[id]'");
header("Location: /boylist.php?nousers");
exit;
}else{
if($k[type] == 'start'){
mysql_query("UPDATE `boy_game` SET `type`='game' WHERE `id` = '$k[id]'");
$sq = mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]'");
$kom = 1;
while($a = mysql_fetch_assoc($sq)){
mysql_query("UPDATE `boy_users` SET `kom`='$kom' WHERE `id` = '$a[id]'");
$kom = ($kom == 1) ? '2' : '1';
}}
header("Location: /grupboy.php?id=$k[id]");
}}
/////////////////////////////////
$us = mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]'");
while($a = mysql_fetch_assoc($us))
{
$s = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>
<img src='/images/icon/user.png' alt=''/> $s[nick]
<br>
<img src='/images/icon/str.png' alt='str'/> Сила: $s[sila] (<span class='dgreen'>+$a[umensila]</span>)
<br>
<img src='/images/icon/vit.png' alt='vit'/> Здоровье: ".(INT)$s[health]." (<span class='dgreen'>+$a[umenmax_health]</span>)
<br>
<img src='/images/icon/agi.png' alt='agi'/> Ловкость: $s[lovk] (<span class='dgreen'>+$a[umenlovk]</span>)
<br>
<img src='/images/icon/def.png' alt='def'/> Защита: $s[zashit] (<span class='dgreen'>+$a[umenzashit]</span>)
</div>";
}
break;

case 'game':
$u = mysql_fetch_assoc(mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]' AND `user` = '$user[id]'"));
$cb = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '1' AND `dead` = '0'"));
$cr = mysql_num_rows(mysql_query("SELECT `id` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '2' AND `dead` = '0'"));
$kom = ($u[kom] == 1) ? '2' : '1';
$nkom = ($u[kom] == 1) ? 'Синие' : 'Красные';
if($u[dead] == 1){
echo "<div class='block_zero'>Вы выбыли из игры, но не все потеряно, остались игроки с вашей команды! Страница будет обновляться автоматически каждые 3 секунды)</div>";
}
echo "<meta http-equiv='Refresh' content='3' /><div class='block_zero'>Ваша команда $nkom<br/>
<span style='color: blue;'>Синих: $cb</span> | <span style='color: red;'>Красных: $cr</span>
</div>";
// Теперь вычисляем кто мертв и пора-ли закончить игру
if($cb == 0){
mysql_query("UPDATE `boy_game` SET `win` = 'Крансые', `type`='end' WHERE `id` = '$k[id]'");
header("Location: /grupboy.php?id=$k[id]");
exit;
}
if($cr == 0){
mysql_query("UPDATE `boy_game` SET `win` = 'Синие', `type`='end' WHERE `id` = '$k[id]'");
header("Location: /grupboy.php?id=$k[id]");
exit;
}
////////
if($u['dead'] == 0){
///// Если бьют
if(isset($_GET['udar'])){
$udar = abs(intval($_GET['udar']));
$ukl = rand(0,1);
$u_to = mysql_fetch_assoc(mysql_query("SELECT `nick`,`id` FROM `user` WHERE `id` = '$udar'"));
if(!empty($u_to[id])){
if($ukl == 0){
$uron = rand(10,30);
mysql_query("UPDATE `user` SET `health` = `health` - $uron WHERE `id` = '$udar'");
$to = mysql_fetch_assoc(mysql_query("SELECT `id`,`health`,`nick` FROM `user` WHERE `id` = '$udar'"));
if($to['health'] < 1){
mysql_query("UPDATE `boy_users` SET `dead` = '1' WHERE `user` = '$to[id]'");
$text = '<b>'.$to[nick].'</b> потерпел поражение от <b>'.$user[nick].'</b>';
}else{
$text = '<b>'.$user[nick].'</b> атаковал <b>'.$to[nick].'</b> и нанес ему <b>'.$uron.'</b> урона';
}
}else{
$text = '<b>'.$user[nick].'</b> атаковал <b>'.$u_to[nick].'</b> но противник смог уклониться';
}
mysql_query("INSERT INTO `boy_list` SET `game` = '$k[id]', `text` = '$text'");
header("Location: /grupboy.php?id=$k[id]");
exit;
}
}
////////
$sql = mysql_query("SELECT * FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$kom' AND `dead` = '0'");
while($a = mysql_fetch_assoc($sql))
{
$s = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$a[user]'"));
echo "<div class='block_zero'>
<img src='/images/icon/user.png' alt=''/> $s[nick]
<br>
<img src='/images/icon/str.png' alt='str'/> Сила: $s[sila] (<span class='dgreen'>+$s[umensila]</span>)
<br>
<img src='/images/icon/vit.png' alt='vit'/> Здоровье: ".(INT)$s[health]." (<span class='dgreen'>+$s[umenmax_health]</span>)
<br>
<img src='/images/icon/agi.png' alt='agi'/> Ловкость: $s[lovk] (<span class='dgreen'>+$s[umenlovk]</span>)
<br>
<img src='/images/icon/def.png' alt='def'/> Защита: $s[zashit] (<span class='dgreen'>+$s[umenzashit]</span>)
</div>";
echo "<div class='block_zero'>
<a href='?udar=$a[user]&id=$k[id]'> Атаковать противника</a><br/>
</div>";
}
}
break;

case 'end':
$wine = rand(50,200);
$losee = rand(10,50);
$wins = rand(100,200);
$loses = rand(50,100);
////
$kom = ($k['win'] == 'Красные') ? '2' : '1';
$colorwin = ($k['win'] == 'Красные') ? '<span style="color: red;">Красные</span>' : '<span style="color: blue;">Синие</span>';
$koml = ($kom == 1) ? '2' : '1';
// Раздаем подарки
$sql1 = mysql_query("SELECT `user` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$kom' AND `end` = '0'");
while($a = mysql_fetch_assoc($sql1))
{
mysql_query("UPDATE `boy_users` SET `end` = '1' WHERE `user` = '$a[user]'");
mysql_query("UPDATE `user` SET `exp` = `exp` + $wine, `silver` = `silver` + $wins WHERE `id` = '$a[user]'");
}
$sql2 = mysql_query("SELECT `user` FROM `boy_users` WHERE `game` = '$k[id]' AND `kom` = '$koml' AND `end` = '0'");
while($a = mysql_fetch_assoc($sql2))
{
mysql_query("UPDATE `boy_users` SET `end` = '1' WHERE `user` = '$a[user]'");
mysql_query("UPDATE `user` SET `exp` = `exp` + $losee, `silver` = `silver` + $loses WHERE `id` = '$a[user]'");
}
////
$_SESSION[win] = $k['win'];
$_SESSION[wine] = $wine;
$_SESSION[wines] = $wins;
$_SESSION[losee] = $losee;
$_SESSION[loses] = $loses;
echo "<div class='block_zero'><center>
<big>Бой окончен</big><br/>
Победу одержали: $colorwin
</center></div>
<div class='block_zero'>
Победитель получают по <b>$wine</b> опыта и <b>$wins</b> серебра<br/>
Проигравшие получают по <b>$losee</b> опыта и <b>$loses</b> серебра
</div>";
header("Location: /grupboy.php?id=$k[id]");
break;
}

require_once 'core/foot.php';
?>